%define svnrev 3930
%define nm_version 0.7.0-alt3.svn.r%svnrev

Name: NetworkManager-vpnc
Version: 0.7.0
Release: alt1.svn.r%svnrev.M41.2
License: GPL v2 or later
Group: System/Configuration/Networking
Summary: NetworkManager VPN integration for vpnc
Url: http://www.gnome.org/projects/NetworkManager/
Packager: Mikhail Efremov <sem@altlinux.org>
Source: %name-%version.tar.gz
Patch1: NetworkManager-vpnc-0.7.0-alt-desktop.patch
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: gtk2             >= 2.10.0
Requires: dbus             >= 1.1
Requires: NetworkManager   >= %nm_version
Requires: vpnc             >= 0.4
Requires: shared-mime-info >= 0.16
Requires: GConf2
Requires: gnome-keyring

BuildPreReq: desktop-file-utils

# Automatically added by buildreq on Sat May 17 2008
BuildRequires: libgnome-keyring-devel libgnomeui-devel perl-XML-Parser

BuildRequires: NetworkManager-devel >= %nm_version
BuildRequires: NetworkManager-glib-devel >= %nm_version
BuildRequires: gtk2-devel             >= 2.10.0
BuildRequires: libdbus-devel             >= 1.1
BuildRequires: libGConf-devel
BuildRequires: libglade2-devel
BuildRequires: libpng-devel
BuildRequires: intltool gettext

%description
This package contains software for integrating the vpnc VPN software
with NetworkManager and the GNOME desktop

%prep
%setup -q
%patch1 -p1

%build
%configure \
	--disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name

%post
%post_ldconfig
%update_desktopdb
touch --no-create %_datadir/icons/hicolor
if [ -x %_bindir/gtk-update-icon-cache ]; then
      %_bindir/gtk-update-icon-cache --quiet %_datadir/icons/hicolor || :
fi
if /sbin/service messagebus status &>/dev/null; then
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig &>/dev/null ||:
else
echo "NetworkManager-vpnc requires running messagebus service." >&2
fi

%postun
%post_ldconfig
%clean_desktopdb
touch --no-create %_datadir/icons/hicolor
if [ -x %_bindir/gtk-update-icon-cache ]; then
      %_bindir/gtk-update-icon-cache --quiet %_datadir/icons/hicolor || :
fi

%files -f %name.lang
%doc AUTHORS ChangeLog
%_libdir/NetworkManager/lib*.so*
%_libexecdir/nm-vpnc-auth-dialog
%config(noreplace) %_sysconfdir/dbus-1/system.d/nm-vpnc-service.conf
%config(noreplace) %_sysconfdir/NetworkManager/VPN/nm-vpnc-service.name
%_libexecdir/nm-vpnc-service
%_libexecdir/nm-vpnc-service-vpnc-helper
%_datadir/gnome-vpn-properties/vpnc/nm-vpnc-dialog.glade
%_datadir/applications/nm-vpnc.desktop
%_datadir/icons/hicolor/48x48/apps/gnome-mime-application-x-cisco-vpn-settings.png

%exclude %_libdir/NetworkManager/*.la

%changelog
* Thu Sep 11 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt1.svn.r3930.M41.2
- dependence on NetworkManager is less strict now 

* Mon Sep 08 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt1.svn.r3930.M41.1
- port to M41 

* Wed Aug 13 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn.r3930
- new svn snapshot
- BuildRequires updated
- %post updated: D-Bus config reload

* Tue Jul 22 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080722
- new svn snapshot (3842)

* Wed May 28 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080527
- initial build

